# azure.mgmt.compute.v2019_04_01 package

## Submodules

- azure.mgmt.compute.v2019_04_01.models module
- azure.mgmt.compute.v2019_04_01.operations module

## Module contents

class `azure.mgmt.compute.v2019_04_01.``ComputeManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Compute Client

  Variables:

  - config (ComputeManagementClientConfiguration) – Configuration for client.
  - resource_skus (azure.mgmt.compute.v2019_04_01.operations.ResourceSkusOperations) – ResourceSkus operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.compute.v2019_04_01.``ComputeManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ComputeManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL